### Method

# EBookContacts VCardAttribute add_param_with_values

#### Declaration [src]

    void
    e_vcard_attribute_add_param_with_values (
      EVCardAttribute* attr,
      EVCardAttributeParam* param,
      ...
    )

#### Description [src]

Appends the list of values to `param`, then prepends `param` to `attr`. This takes ownership of `param`, but not of the list of values.

This is a convenience method for `e_vcard_attribute_param_add_value()` and e_vcard_attribute_add_param().

This method is not directly available to language bindings.

#### Parameters

`param`

  Type: `EVCardAttributeParam`

  An `EVCardAttributeParam`.

  The instance takes ownership of the data, and is responsible for freeing it.

`...`

  Type: ``

  A `NULL`-terminated list of strings.